package main

import (
	"flag"
	"fmt"
	"os"

	"git.mousesoft.ru/ms/drawio-exporter/pkg/drawio"
)

var (
	appname string // Наименование приложения
	version string // Версия приложения
)

func main() {
	flag.Parse()
	if flagHelp {
		flag.Usage()
		os.Exit(0)
	}
	if flagVersion {
		fmt.Println(appname, version)
		os.Exit(0)
	}
	if flag.NArg() < 1 {
		flag.Usage()
		os.Exit(1)
	}
	exporter := drawio.NewWithOptions(&opts)
	if err := exporter.Export(flag.Args()...); err != nil && !flagIgnoreErrors {
		fmt.Fprintln(os.Stderr, "Error:", err)
		os.Exit(1)
	}
}
